package handler

import (
	"context"
	"time"
)

type Service interface {
	UpdateWeatherData(ctx context.Context) error
	ExtractWind(ctx context.Context, lat, lon, alt float64, ts time.Time) ([2]float64, error)
}
